import { Component, OnInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { loadModules } from 'esri-loader';
import { topographyProxyRule } from 'src/config/urls';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit {
  title = 'frontend';

  constructor(translate: TranslateService) {
    translate.addLangs(['fr', 'en']);

    // This language will be used as a fallback when a
    // translation isn't found in the current language.
    translate.setDefaultLang('fr');

    // The language to use. If it isn't available, the
    // current loader is used to get them.
    translate.use('fr');
  }

  ngOnInit() {
    this.init();
  }

  private async init() {
    const [urlUtils] = await loadModules(['esri/core/urlUtils']);

    urlUtils.addProxyRule(topographyProxyRule);
  }
}
