export abstract class Drawer {
  protected currentGraphic: __esri.Graphic | null;
  protected drawActionListeners: IHandle[] = [];

  /**
   * Clear all of the object's listeners for DrawAction events.
   */
  clearListeners() {
    this.drawActionListeners.forEach(
      (listener) => listener.remove()
    );
    this.drawActionListeners = [];
  }
}