import { dotImgUrl, linesImgUrl } from 'src/config/urls';
import { getDrawingSymbol, DrawingTexture, getDefaultOutline } from './utils';

describe('#Drawing utils', () => {
  it('#getDrawingSymbol should return the symbols associated to the different textures in the application', async () => {
    let symbol = await getDrawingSymbol(DrawingTexture.BLACK);
    expect(symbol.color.toHex()).toBe('#000000');

    symbol = await getDrawingSymbol(DrawingTexture.WHITE);
    expect(symbol.color.toHex()).toBe('#ffffff');

    symbol = await getDrawingSymbol(DrawingTexture.DOTS);
    expect((symbol as __esri.PictureFillSymbol).url).toBe(dotImgUrl);

    symbol = await getDrawingSymbol(DrawingTexture.LINES);
    expect((symbol as __esri.PictureFillSymbol).url).toBe(linesImgUrl);
  });

  it('#getDefaultOutline should return a default outline', async () => {
    const outline = await getDefaultOutline();
    expect(outline.color.toHex()).toBe('#ff0000');
    expect(outline.width).toBe(2);
    expect(outline.style).toBe('solid');
  });
});
