import { ABAMap, EsriMap, ABAToEsriMap } from "./utils";
import { loadModules } from 'esri-loader';

describe('MapsDatabase utils', () => {
  it('#ABAToEsrMap should transform an ABAMap to an EsriMap', async () => {
    const [
      Graphic,
      Extent
    ] = await loadModules([
      'esri/Graphic',
      'esri/geometry/Extent'
    ]);

    const abaMap: ABAMap = {
      uid: 1,
      title: 'Onex',
      city: 1,
      creationDate: '13-05-2019',
      height: 400,
      width: 600,
    };
    const esriMap: EsriMap = {
      uid: 1,
      title: 'Onex',
      city: 1,
      height: 400,
      width: 600,
      extent: new Extent(),
      graphics: []
    };

    const converetdMap = await ABAToEsriMap(abaMap);

    expect(converetdMap).toEqual(esriMap);
  });
});
