interface NavigationEvent {
  name: string;
  modifiers: string[];
}

/**
 * Events for navigation on Esri MapViews.
 */
export const navigationEvents: NavigationEvent[] = [
  // Zooming events.
  {
    name: 'double-click',
    modifiers: [],
  },
  {
    name: 'double-click',
    modifiers: ['Control']
  },
  {
    name: 'mouse-wheel',
    modifiers: []
  },
  {
    name: 'drag',
    modifiers: []
  },
  {
    name: 'drag',
    modifiers: ['Shift']
  },
  {
    name: 'drag',
    modifiers: ['Shift', 'Control']
  },

  // Other navigation events.
  {
    name: 'key-down',
    modifiers: []
  },
  {
    name: 'key-down',
    modifiers: ['Control']
  }
];
