import { TestBed } from '@angular/core/testing';

import { GeographyService } from './geography.service';
import { HttpTestingController, HttpClientTestingModule } from '@angular/common/http/testing';
import { loadModules } from 'esri-loader';
import { GeoAdminCoordinates, Address, Waterbody } from './utils';
import { WGS84ToLV03Url, addressSearchUrl, waterbodySearchUrl } from 'src/config/urls';

describe('GeographyService', () => {
  let service: GeographyService;
  let httpTestingController: HttpTestingController;
  let point: __esri.Point;

  beforeEach(async () => {
    TestBed.configureTestingModule({
      imports: [
        HttpClientTestingModule
      ]
    });

    service = TestBed.get(GeographyService);
    httpTestingController = TestBed.get(HttpTestingController);

    const [Point] = await loadModules(['esri/geometry/Point']);
    point = new Point({
      x: 46.207293,
      y: 6.139643
    });
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
