import { loadModules } from 'esri-loader';
import { squaredEuclideanDistance } from './utils';

describe('Geography utils', () => {
  it('#squaredEuclideanDistance should return the squared euclidean distance between two points', async () => {
    const [Point] = await loadModules(['esri/geometry/Point']);
    const pointA: __esri.Point = new Point({
      x: 1.0,
      y: 1.0
    });
    const pointB: __esri.Point = new Point({
      x: 2.0,
      y: 2.0
    });

    const distance = squaredEuclideanDistance(pointA, pointB);
    expect(distance).toBe(2.0);
  });
});
