import { TestBed } from '@angular/core/testing';

import { ItineraryService } from './itinerary.service';

describe('ItineraryService', () => {
  let service: ItineraryService;
  beforeEach(() => {
    TestBed.configureTestingModule({});
    service = TestBed.get(ItineraryService);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });

  it('#addPoint should add a point to the services itineraryPoints', () => {
    expect(service['itineraryPoints'].length).toBe(0);
    service.addPoint('A', 46.207211, 6.139540);
    expect(service['itineraryPoints'].length).toBe(1);
    expect(service['itineraryPoints'][0]).toEqual({name: 'A', lat: 46.207211, lng:  6.139540});
  });

  it('#deleteLastPoint should remove the last point in the service\'s itineraryPoints when there\'s one and return true', () => {
    service.addPoint('A', 46.207211, 6.139540);
    expect(service['itineraryPoints'].length).toBe(1);
    const success =  service.deleteLastPoint();
    expect(service['itineraryPoints'].length).toBe(0);
    expect(success).toBe(true);
  });

  it('#deleteLastPoint should remove the last point in the service\'s itineraryPoints when there\'s one', () => {
    expect(service['itineraryPoints'].length).toBe(0);
    const success = service.deleteLastPoint();
    expect(success).toBe(false);
  });

  it('#clearItinerary should remove all points from the service\'s itineraryPoints', () => {
    service.addPoint('A', 46.207211, 6.139540);
    service.addPoint('B', 46.207211, 6.139542);
    expect(service['itineraryPoints'].length).toBe(2);
    service.clearItinerary();
    expect(service['itineraryPoints'].length).toBe(0);
  });
});
