/**
 * The interface for coordinates on a map.
 */
export interface Coordinates {
  type: string;
  x: number;
  y: number;
}

/**
 * The interface for a public transportations station.
 */
export interface Station {
  id: string;
  name: string;
  coordinate: Coordinates;
  distance: number;
  icon?: string;
}

/**
 * The interface for a public transportations line.
 */
export interface TransportationLine {
  name: string;
  category: string;
  number: string;
  operator: string;
}

/**
 * The interface for the results of a train stations search.
 */
export interface TrainStationSearchResult {
  attributes: {
    tuabkuerzung: string;
    label: string;
  };
  geometry: {
    points: number[][];
  };
}
